name: n8n
services:
  n8n:
    environment:
      TZ: $TZ
      N8N_SECURE_COOKIE: "false"
    image: n8nio/n8n:1.73.1
    deploy:
      resources:
        reservations:
          memory: 320M
    network_mode: bridge
    ports:
      - target: 5678
        published: "5678"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID
        target: /home/node/.n8n
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
      ports:
        - container: "5678"
          description:
            en_us: web port
            zh_cn: web 端口
      volumes:
        - container: /home/node/.n8n
          description:
            en_us: n8n directory.
            zh_cn: n8n 目录。
    container_name: n8n
x-casaos:
  architectures:
    - amd64
    - arm64
  main: n8n
  author: YoussofKhawaja
  category: Utilities
  description:
    en_us: Free and source-available fair-code licensed workflow automation tool. Easily automate tasks across different services.
    zh_cn: 免费且开源的 fair-code 许可的工作流自动化工具。轻松地在不同的服务之间自动化任务。
    ar_sa: أداة تنفيذ الأعمال التلقائية المجانية والمتاحة للمصدر. تنفيذ الأعمال التلقائية بسهولة عبر الخدمات المختلفة.
    de_de: Freie und quelloffene Workflow-Automatisierungstool mit fair-code-Lizenz. Automatisieren Sie Aufgaben einfach über verschiedene Dienste.
    es_es: Herramienta de automatización de flujos de trabajo de código abierto y de código abierto. Automatice fácilmente las tareas a través de diferentes servicios.
    fr_fr: Outil d'automatisation de flux de travail gratuit et disponible sous licence open source. Automatisez facilement les tâches à travers différents services.
    hu_hu: Ingyenes és forráskódú fair-code licenszű munkafolyamat automatizáló eszköz. Egyszerűen automatizálja a különböző szolgáltatásokon keresztül a feladatokat.
    it_it: Strumento di automazione dei flussi di lavoro gratuito e open source. Automatizzare facilmente le attività attraverso diversi servizi.
    ru_ru: Бесплатный и с открытым исходным кодом инструмент автоматизации рабочего процесса с лицензией fair-code. Легко автоматизируйте задачи через различные сервисы.
    pl_pl: Darmowy i dostępny w kodzie otwartym narzędzie do automatyzacji przepływu pracy z licencją fair-code. Łatwo automatyzuj zadania za pośrednictwem różnych usług.
    pt_br: Ferramenta de automação de fluxo de trabalho gratuita e de código aberto. Automatize facilmente as tarefas através de vários serviços.
    sv_se: Gratis och öppen källkod fair-code licensierad workflow automation tool. Automatisera uppgifter enkelt över olika tjänster.
    uk_ua: Безкоштовний і з відкритим вихідним кодом інструмент автоматизації робочого процесу з ліцензією fair-code. Легко автоматизуйте завдання через різні сервіси.
  developer: n8n
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/N8n/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/N8n/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/N8n/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/N8n/screenshot-3.png
  tagline:
    en_us: Workflow automation tool
    zh_cn: 工作流自动化工具
    ar_sa: أداة تنفيذ الأعمال التلقائية
    de_de: Workflow-Automatisierungstool
    es_es: Herramienta de automatización de flujos de trabajo
    fr_fr: Outil d'automatisation de flux de travail
    hu_hu: Munkafolyamat automatizáló eszköz
    it_it: Strumento di automazione dei flussi di lavoro
    ru_ru: Инструмент автоматизации рабочего процесса
    pl_pl: Narzędzie do automatyzacji przepływu pracy
    pt_br: Ferramenta de automação de fluxo de trabalho
    sv_se: Workflow automation tool
    uk_ua: Інструмент автоматизації робочого процесу
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/N8n/thumbnail.png
  tips: {}
  title:
    en_us: n8n
  index: /
  port_map: "5678"
